Jump to content

Lorenzo Angeli

Administrators
  • Content Count

    229
  • Joined

  • Last visited

  • Days Won

    16

Everything posted by Lorenzo Angeli

  1. Thanks Laura, we'll be having a look and get back to you. If you are using legacy api thought I would suggest start looking on how to port it over the new api code. You can find a good example here: https://bitbucket.org/ftrack/ftrack-example-location Cheers. L.
  2. Hi Laura, I'm sorry to hear you are having issues. If the custom location gets picked up by interactive maya and it can publish correctly, should work from within a batch session as well. Are you using the new python api to register the location or legacy ones ? Would it be possible for you to share the code you are using to register the new location ? If, for privacy reasons you cannot post it here, feel free to open a ticket at support@ftrack.com and share it there. Cheers. L.
  3. Hi @hquintanaro Are these error coming from the ftrack-connectg-package you have been dowloading from https://www.ftrack.com/en/portfolio/connect ? ftrack-connect-package (on linux) should be able to run centrally, but is suggest first to test it locally. If you do have errors try to see if you have any missing library regarding ssl. Cheers. L.
  4. Hi hquintanaro, can you please check if this happens to you with the latest official build as well ? https://www.ftrack.com/en/portfolio/connect Thanks. L. p.s python 2.7.15 is not available by default on CentOS Linux release 7.5.1804 (Core) is this something you've been compiling or from a repository ?
  5. Answered in support case, but here for reference: For what concerns location accessors, is pretty doable to write S3 and Azure ones (it has already been done before), you can find further information looking into the api: https://bitbucket.org/ftrack/ftrack-python-api/src/master/source/ftrack_api/accessor/ If the cloud storages provide a python api access (eg: boto for Amazon S3) and using the base accessor ( https://bitbucket.org/ftrack/ftrack-python-api/src/master/source/ftrack_api/accessor/base.py) as baseclass , is just matter of fully re implement the various method exposed.
  6. Hi Reynaldo, answered in support case, but for reference: Although the official support for python 2.X is set to 2020, DCC company applications (Autodesk, Foundry etc...) will slowly move over. During last year's Siggraph we've been discussing with them and through the https://www.vfxplatform.com it has been decided to start putting ahead a 3.6.X but is not been nailed yet, and therefore it'll likely take way longer to get fully adopted by the industry (I'm expecting a delay of at least 2 years.) To be honest I would avoid moving to py3 before all the DCC apps have been doing it. If y
  7. Cheers ! Let me know if you have any other issue or question.
  8. Hi Kristing ! I've been looking now at the example you posted, and looks like it's missing something in order to cope with what you are after. Here how I got it working. In: ~/.local/ftrack-connect-plugins/testactions/hook * first.py * second.py each of these files contains a copy of the linked example. Here is how the classes are initialised: class MyCustomAction(object): '''Custom action.''' label = 'My Action' identifier = 'my.custom.action' description = 'This is an example action' variant = 'first' class
  9. Cheers Scott, do you mind linking the thread on thinkbox forum ? So I can read and, in case, follow up ? If you have some development knowledge, or you have developers available, you can think of customising their code.(ps. sadly cannot find it on the github repo : https://github.com/ThinkboxSoftware/Deadline) Thanks. l.
  10. Hi Scott, Deadline integration is maintained by ThinkBox itself, and I've not much direct experience with it. Regarding your issue though, the options :Submit Render Layers As Separate Jobs is enabled. sounds fishy, as is likely to generate one job (and therefore a new asset) for each layer. To me the best option would be to have 1 asset (Render) with all the render layers / passes published as components of the given asset version so would easy to know where they come from. e.g: ``` City (Render) v010 - diffuse: <path to diffuse pass> specular: <
  11. Hi Robin ! Although totally doable , with an event that intercept the publishing event and update a folder with a symlink , or copying to the latest version, this is not something I would suggest doing. When you embrace an asset management system you should almost forget the file system structure and rely on the server queries* to see what's the latest/current version. This because latest or current, could not be the latest published but , possibly , the latest approved, or not even on the same disk. If you always have to rely on latest published, my suggestion would be to code
  12. Hi Tuan, Ftrack default (storage scenario / default structure) file system structure is sanitised in order to work in mixed operating system environment. here where does happen: https://bitbucket.org/ftrack/ftrack-python-api/src/c2fcbca6f8a957a423f6bc2f2bde768a0d8e50b6/source/ftrack_api/structure/standard.py#lines-126 The best solution you have to get this as you like, would be to create a custom location + structure. If you want to dig deeper on how to create custom location (and structure), have a look in here : http://ftrack-python-api.rtd.ftrack.com/en/stable/locations/
  13. Hi @hulmanen & @AnthonyM this is a good point. I'll make sure is going to be added somewhere sensible in the docs. Cheers. L. p.s Cheers @Remus Avram
  14. Hi Lori, if you are using rez, you can have a look in here for ftrack-connect 1.1.3 package: http://git.efestolab.uk/rez/rez-ftrack/blob/master/ftrack_connect/1.1.3/package.py The web ui path is resolved through this hook contained in ftrack-connect resources in :https://bitbucket.org/ftrack/ftrack-connect/src/master/resource/hook/resolve.py Add that folder to FTRACK_EVENT_PLUGIN_PATH and PYTHONPATH and you should get your paths resolved. If you have any issue please let me know. Cheers. L.
  15. Hi Anthony, can you please check you have libpng installed ? Once installed please try launchihng connect again and let me know. Cheers. L.
  16. Hi Jerome, there's no need for the rez-pip command installed (as far as I'm aware) All you need is to have rez-2.17.0 installed, later version are having some issues at the moment. Hope it helps. L.
×
×
  • Create New...